<?php
//============================================================+
// File name   : tce_page_userbar.php
// Begin       : 2004-04-24
// Last Update : 2006-09-30
// 
// Description : Display user's bar containing copyright and 
//               user status.
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

/**
 * Display user's bar containing copyright and user status.
 * @package com.tecnick.tcexam.shared
 * @author Nicola Asuni
 * @copyright Copyright &copy; 2004-2006, Tecnick.com S.r.l. - Via Ugo Foscolo n.19 - 09045 Quartu Sant'Elena (CA) - ITALY - www.tecnick.com - info@tecnick.com
 * @link www.tecnick.com
 * @since 2004-04-24
 */

echo "<div class=\"userbar\">\n";
// display software information
echo "<span class=\"left\">&nbsp;<a href=\"http://tcexam.tecnick.com\">TCExam</a> ver. ".K_TCEXAM_VERSION." - Copyright &copy; 2004-2006 <a href=\"http://www.tecnick.com\">Tecnick.com S.r.l.</a></span>\n";
// display user information
echo "<span class=\"right\"><span title=\"".$l['h_user_info']."\">".$l['w_user'].": ".$_SESSION['session_user_name']."</span>"; 
if ($_SESSION['session_user_level'] > 0) {
	// display logout link
	echo " <a href=\"tce_logout.php\" class=\"logoutbutton\" title=\"".$l['h_logout_link']."\">".$l['w_logout']."</a>\n"; 
}
echo "&nbsp;</span>\n";
echo "</div>\n";

echo "<div class=\"minibutton\">\n";

// skip links
echo "<a href=\"#timersection\" accesskey=\"3\" title=\"[3] ".$l['w_jump_timer']."\" class=\"white\">".$l['w_jump_timer']."</a> ";
echo "<a href=\"#menusection\" accesskey=\"4\" title=\"[4] ".$l['w_jump_menu']."\" class=\"white\">".$l['w_jump_menu']."</a> ";

// Display W3C logos
echo "<a href=\"http://validator.w3.org/check/referer\" class=\"minibutton\" title=\"This Page Is Valid XHTML 1.0 Strict!\">W3C <span>XHTML 1.0</span></a>\n";
echo "<a href=\"http://jigsaw.w3.org/css-validator/\" class=\"minibutton\" title=\"This document validates as CSS!\">W3C <span>CSS 2.0</span></a>\n";
echo "<a href=\"http://www.w3.org/WAI/WCAG1AAA-Conformance\" class=\"minibutton\" title=\"Explanation of Level Triple-A Conformance\">W3C <span>WAI-AAA</span></a>\n";
echo "</div>";

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
